
package cn.orionsec.ops.task.fixed;

import cn.orionsec.kit.lang.utils.time.Dates;
import cn.orionsec.ops.service.api.SystemService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
public class SystemSpaceAnalysisTask {

    @Resource
    private SystemService systemService;

    @Scheduled(cron = "0 0 0,1,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23 * * ?")
    private void analysisSystemSpace() {
        log.info("task-执行占用磁盘空间统计-开始 {}", Dates.current());
        // 不考虑多线程计算
        systemService.analysisSystemSpace();
        log.info("task-执行占用磁盘空间统计-结束 {}", Dates.current());
    }

}
